VMware On CSAIL Debian

Setup on Debian 5.0 and 6.0 (lenny)

  • Install the module-assisstant package (sudo aptitude install module-assistant)
  • Run sudo module-assistant prepare
  • Install vmware 8 (7.0 is also supported; earlier versions are not). You can get it from CSAIL's software distribution page at https://tig.csail.mit.edu/software/software_title/show/87; you'll also need to request a license key by clicking the "Request License" link on the VMWare download page.
    • If you already have a valid license key, you can simply download the VMWare bundle from the software distribution site without requesting a key.
  • Untar the VMWare installation bundle, and run the bundle installer: sudo sh VMware-Workstation-Full-8.0.0-471780.x86_64.bundle
  • Finally, Run "vmdb_gksu_rootMethod=sudo vmware" in your shell

Setup on Debian 4.0 (etch)

NOTE: Nobody should still be running CSAIL Debian 4.0 etch under normal circumstances. If you are still running etch, please contact TIG at help@csail.mit.edu for help upgrading to lenny.

Installation of vmware is relatively straightforward and should be done according to the vmware documentation.

  • Install the module-assistant package (sudo aptitude install module-assistant)
  • Run sudo module-assistant prepare
  • Run the vmware installation script.
Topic revision: 04 Sep 2012, StephenJahl
 

MIT Computer Science and Artificial Intelligence Laboratory

 

  • About CSAIL
  • Research
  • News + Events
  • Resources
  • People

This site is powered by Foswiki MIT: Massachusetts Institute of Technology